> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fetchserp.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Current User information



## OpenAPI

````yaml openapi.json get /api/v1/user
openapi: 3.1.0
info:
  title: API Documentation
  summary: 'OasRails: Automatic Interactive API Documentation for Rails'
  description: >+
    # FetchSERP API


    This API provides endpoints for retrieving search engine results, analyzing
    keyword and domain performance, scraping web content, and conducting SEO
    audits. It is designed to help developers access valuable SEO and SERP data
    programmatically.


    ## Authentication


    All API endpoints require Bearer token authentication.



    ## Rate Limiting


    The API has a rate limit of 600 requests per minute per API key. If you
    exceed this limit, you will receive a 429 status code.



    ## Available Resources


    - Get Backlinks : Get backlinks for a given domain

    - Get Domain Emails : Retrieve emails from a given domain

    - Get Domain Info : Get domain info including DNS records, WHOIS data, SSL
    certificates, and technology stack

    - Get Keywords search volume : Get search volume for given keywords

    - Get Keywords suggestions : Get keyword suggestions based on a url or a
    list of keywords

    - Get Long-tail Keywords Generator : Generate long-tail keywords for a given
    keyword

    - Get Page Indexation Check : Check if a domain is indexed for a given
    keyword

    - Get Domain Ranking : Get domain ranking for a given keyword

    - Get Web Page Scraping : Scrape a web page without JS

    - Get Domain Scraping : Scrape a domain

    - Post Web Page Scraping : Scrape a web page with custom JS

    - Post Web Page Scraping with Proxy : Scrape a web page with JS and proxy

    - Get Moz Domain Analysis : Get Moz domain analysis data

    - GET Search engine results : Get search engine results

    - GET Search engine results AI : Get search engine results with AI overview
    and AI mode response

    - GET Search engine results html : Get search engine results html content

    - GET Search engine results JS : Get search engine results with JS rendering

    - GET Search engine results text : Get search engine results text content

    - Get User : Get user information including api credit

    - Get Web Page AI Analysis : Analyze a web page with AI

    - Get SEO Analysis : Get SEO analysis for a given url


    For more information, contact contact@fetchserp.com

  termsOfService: ''
  contact:
    name: Support
    url: https://fetchserp.com
    email: contact@fetchserp.com
  license:
    name: GPL 3.0
    url: https://www.gnu.org/licenses/gpl-3.0.html#license-text
  version: 1.0.0
servers:
  - url: https://www.fetchserp.com
    description: Production
security:
  - bearer: []
tags:
  - name: Users
    description: Manage the `amazing` Users table.
paths:
  /api/v1/user:
    get:
      tags:
        - Api
      summary: Current User information
      operationId: index_api_v1_user
      responses:
        '200':
          $ref: '#/components/responses/82134fec5ccac45eb0da6c80d240415d'
        '401':
          $ref: '#/components/responses/64fd4e3e0788c3a9f1e86bf3569c6c36'
        '403':
          $ref: '#/components/responses/719953a3dc0c81fbc76fb358393f64de'
      security:
        - bearer: []
components:
  responses:
    82134fec5ccac45eb0da6c80d240415d:
      description: success
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/557ba9479e3b46f84d3de94101fdbac9'
    64fd4e3e0788c3a9f1e86bf3569c6c36:
      description: Validation errors
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ab7f8e96ffb786cb211cda6678d34532'
    719953a3dc0c81fbc76fb358393f64de:
      description: >-
        You are not allowed to access this resource. You do not have the
        necessary permissions.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/654dac096abf7f8a11eec3e814989da7'
  schemas:
    557ba9479e3b46f84d3de94101fdbac9:
      type: object
      properties:
        data:
          type: object
          properties:
            user:
              type: object
              properties:
                email_address:
                  type: string
                api_credit:
                  type: integer
    ab7f8e96ffb786cb211cda6678d34532:
      type: object
      properties:
        error:
          type: string
    654dac096abf7f8a11eec3e814989da7:
      type: object
      properties:
        success:
          type: boolean
        message:
          type: string
      required:
        - success
  securitySchemes:
    bearer:
      type: http
      scheme: bearer
      description: >-
        A bearer token that will be supplied within an `Authorization` header as
        `bearer <token>`.

````